
QGIS Application - Bug report #14455

Third level subcategories showing when unchecked.

2016-03-10 08:58 AM - Juan Arjona

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:2.14.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 22433

Description

Hello:

This appeared on release 2.14.0.  

If you have sub-categories (2nd level) created through Rule-based Styles on a vector layer, the features are always shown on the map

even if the checked box is unchecked.  In order to remove them from the map you have to remove the categories (making analysis very

hard).

Am I missing something?

Thanks,

Juan

Related issues:

Related to QGIS Application - Bug report # 13184: Labelling of hidden shapes ... Closed 2015-08-05

History

#1 - 2016-04-09 09:47 AM - Giovanni Manghi

- Category set to Symbology

- Status changed from Open to Feedback

- Priority changed from High to Normal

Was this an issue in previous qgis releases?

#2 - 2016-04-09 02:24 PM - Juan Arjona

Thanks for looking into this.

It happened on a prior version, it was fixed and now it reappeared.  See #13184.

Cheers,

Juan

#3 - 2016-05-23 09:18 AM - Giovanni Manghi

- Status changed from Feedback to Open
#4 - 2017-05-01 01:05 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#5 - 2019-03-09 03:08 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

QGIS 3.4 has recently become our new Long Term Release  (LTR) version. This is a major step in our history – a long term release version based on the

massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR  as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version

will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the

relevant changelogs for a good sampling of all the new features that have gone into version 3.4

Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the

ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help

you plan your deployment of QGIS into an operational environment.

The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and

support the project even more, for the long term improvement and sustainability of the QGIS project.
